Cyberduck Mountain Duck CLI

#7603 closed enhancement (fixed)

Fallback on missing bulk delete support

Reported by: виль суркин Owned by: dkocher
Priority: normal Milestone: 4.4.2
Component: openstack Version: 4.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description

In Openstack Swift (Keystone) provider cyberduck uses bulk-delete requests for deleting objects and containers. But not all swift's clusters enable this feature.

When trying delete container on clusters, where bulk-requests disabled, we got response "409 Conflict", because objects inside still not deleted.

So, maybe cyberduck should use "delete-per-object" requests if it got 409 response on bulk delete?

Change History (6)

comment:1 Changed on Nov 13, 2013 at 3:31:56 PM by dkocher

  • Milestone set to 4.4.1
  • Status changed from new to assigned

comment:2 Changed on Nov 13, 2013 at 3:44:13 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14006.

comment:3 Changed on Nov 13, 2013 at 5:05:46 PM by dkocher

  • Summary changed from Support old style of DELETE requests to Fallback on missing bulk delete support

comment:4 Changed on Nov 14, 2013 at 10:24:35 AM by dkocher

#7604 closed as duplicate.

comment:5 Changed on Nov 14, 2013 at 10:42:08 AM by gilad

Still doesn't work, build 13981

comment:6 Changed on Nov 15, 2013 at 12:10:46 PM by dkocher

  • Milestone changed from 4.4.1 to 4.4.2
Note: See TracTickets for help on using tickets.
swiss made software